Package com.io7m.cardant.database.api

# Interface CADatabaseQueriesTypesType

All Superinterfaces:
  `CADatabaseQueriesType`

All Known Subinterfaces:
  `CADatabaseQueriesTypesType.TypeRecordFieldRemoveType`, `CADatabaseQueriesTypesType.TypeRecordFieldUpdateType`, `CADatabaseQueriesTypesType.TypeRecordGetType`, `CADatabaseQueriesTypesType.TypeRecordPutType`, `CADatabaseQueriesTypesType.TypeRecordRemoveType`, `CADatabaseQueriesTypesType.TypeRecordsReferencingScalarType`, `CADatabaseQueriesTypesType.TypeRecordsSearchType`, `CADatabaseQueriesTypesType.TypeScalarGetType`, `CADatabaseQueriesTypesType.TypeScalarPutType`, `CADatabaseQueriesTypesType.TypeScalarRemoveType`, `CADatabaseQueriesTypesType.TypeScalarSearchType`

All Known Implementing Classes:
  `CADBQTypeRecordFieldRemove`, `CADBQTypeRecordFieldUpdate`, `CADBQTypeRecordGet`, `CADBQTypeRecordPut`, `CADBQTypeRecordRemove`, `CADBQTypeRecordsReferencingScalar`, `CADBQTypeRecordsSearch`, `CADBQTypeScalarGet`, `CADBQTypeScalarPut`, `CADBQTypeScalarRemove`, `CADBQTypeScalarSearch`

public sealed interface CADatabaseQueriesTypesType extends CADatabaseQueriesType permits CADatabaseQueriesTypesType.TypeRecordRemoveType, CADatabaseQueriesTypesType.TypeRecordPutType, CADatabaseQueriesTypesType.TypeRecordFieldRemoveType, CADatabaseQueriesTypesType.TypeRecordFieldUpdateType, CADatabaseQueriesTypesType.TypeRecordGetType, CADatabaseQueriesTypesType.TypeRecordsReferencingScalarType, CADatabaseQueriesTypesType.TypeRecordsSearchType, CADatabaseQueriesTypesType.TypeScalarGetType, CADatabaseQueriesTypesType.TypeScalarSearchType, CADatabaseQueriesTypesType.TypeScalarRemoveType, CADatabaseQueriesTypesType.TypeScalarPutType
Model database queries (Types).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `CADatabaseQueriesTypesType.TypeRecordFieldRemoveType`
  Remove a record type field.
  `static interface`
  `CADatabaseQueriesTypesType.TypeRecordFieldUpdateType`
  Update a record type field.
  `static interface`
  `CADatabaseQueriesTypesType.TypeRecordGetType`
  Get a type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeRecordPutType`
  Create or update a type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeRecordRemoveType`
  Remove a type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeRecordsReferencingScalarType`
  Search for type declarations that reference the scalar type with the given name.
  `static interface`
  `CADatabaseQueriesTypesType.TypeRecordsSearchType`
  Search for type declarations.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarGetType`
  Get a scalar type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarPutType`
  Create or update a scalar type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarRemoveType`
  Remove a scalar type declaration.
  `static interface`
  `CADatabaseQueriesTypesType.TypeScalarSearchType`
  Search for scalar type declarations.

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`